FROM python:3
LABEL maintainer="Alexander Lercher"

ENV http_proxy http://proxy.uni-klu.ac.at:3128/
ENV https_proxy http://proxy.uni-klu.ac.at:3128/

RUN apt-get update
RUN pip install flask
RUN pip install connexion[swagger-ui]

EXPOSE 5000

WORKDIR /app
COPY src/data-hub/role-discovery-microservice/app/ /app/
RUN chmod a+x main.py

CMD ["python", "./main.py"]